// source: definitions.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {missingRequire} reports error on implicit type usages.
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!
/* eslint-disable */
// @ts-nocheck

var jspb = require('google-protobuf');
var goog = jspb;
var global = Function('return this')();

goog.exportSymbol('proto.DetectedObject', null, global);
goog.exportSymbol('proto.DroniadaMessage', null, global);
goog.exportSymbol('proto.DroniadaMessage.MessagesCase', null, global);
goog.exportSymbol('proto.GpsUpdate', null, global);
goog.exportSymbol('proto.ObjectDetection', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.GpsUpdate = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.GpsUpdate, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.GpsUpdate.displayName = 'proto.GpsUpdate';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.ObjectDetection = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.ObjectDetection, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.ObjectDetection.displayName = 'proto.ObjectDetection';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.DroniadaMessage = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, proto.DroniadaMessage.oneofGroups_);
};
goog.inherits(proto.DroniadaMessage, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.DroniadaMessage.displayName = 'proto.DroniadaMessage';
}



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.GpsUpdate.prototype.toObject = function(opt_includeInstance) {
  return proto.GpsUpdate.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.GpsUpdate} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.GpsUpdate.toObject = function(includeInstance, msg) {
  var f, obj = {
    north: jspb.Message.getFloatingPointFieldWithDefault(msg, 1, 0.0),
    east: jspb.Message.getFloatingPointFieldWithDefault(msg, 2, 0.0),
    down: jspb.Message.getFloatingPointFieldWithDefault(msg, 3, 0.0),
    heading: jspb.Message.getFloatingPointFieldWithDefault(msg, 4, 0.0)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.GpsUpdate}
 */
proto.GpsUpdate.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.GpsUpdate;
  return proto.GpsUpdate.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.GpsUpdate} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.GpsUpdate}
 */
proto.GpsUpdate.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readFloat());
      msg.setNorth(value);
      break;
    case 2:
      var value = /** @type {number} */ (reader.readFloat());
      msg.setEast(value);
      break;
    case 3:
      var value = /** @type {number} */ (reader.readFloat());
      msg.setDown(value);
      break;
    case 4:
      var value = /** @type {number} */ (reader.readFloat());
      msg.setHeading(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.GpsUpdate.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.GpsUpdate.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.GpsUpdate} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.GpsUpdate.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getNorth();
  if (f !== 0.0) {
    writer.writeFloat(
      1,
      f
    );
  }
  f = message.getEast();
  if (f !== 0.0) {
    writer.writeFloat(
      2,
      f
    );
  }
  f = message.getDown();
  if (f !== 0.0) {
    writer.writeFloat(
      3,
      f
    );
  }
  f = message.getHeading();
  if (f !== 0.0) {
    writer.writeFloat(
      4,
      f
    );
  }
};


/**
 * optional float north = 1;
 * @return {number}
 */
proto.GpsUpdate.prototype.getNorth = function() {
  return /** @type {number} */ (jspb.Message.getFloatingPointFieldWithDefault(this, 1, 0.0));
};


/**
 * @param {number} value
 * @return {!proto.GpsUpdate} returns this
 */
proto.GpsUpdate.prototype.setNorth = function(value) {
  return jspb.Message.setProto3FloatField(this, 1, value);
};


/**
 * optional float east = 2;
 * @return {number}
 */
proto.GpsUpdate.prototype.getEast = function() {
  return /** @type {number} */ (jspb.Message.getFloatingPointFieldWithDefault(this, 2, 0.0));
};


/**
 * @param {number} value
 * @return {!proto.GpsUpdate} returns this
 */
proto.GpsUpdate.prototype.setEast = function(value) {
  return jspb.Message.setProto3FloatField(this, 2, value);
};


/**
 * optional float down = 3;
 * @return {number}
 */
proto.GpsUpdate.prototype.getDown = function() {
  return /** @type {number} */ (jspb.Message.getFloatingPointFieldWithDefault(this, 3, 0.0));
};


/**
 * @param {number} value
 * @return {!proto.GpsUpdate} returns this
 */
proto.GpsUpdate.prototype.setDown = function(value) {
  return jspb.Message.setProto3FloatField(this, 3, value);
};


/**
 * optional float heading = 4;
 * @return {number}
 */
proto.GpsUpdate.prototype.getHeading = function() {
  return /** @type {number} */ (jspb.Message.getFloatingPointFieldWithDefault(this, 4, 0.0));
};


/**
 * @param {number} value
 * @return {!proto.GpsUpdate} returns this
 */
proto.GpsUpdate.prototype.setHeading = function(value) {
  return jspb.Message.setProto3FloatField(this, 4, value);
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.ObjectDetection.prototype.toObject = function(opt_includeInstance) {
  return proto.ObjectDetection.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.ObjectDetection} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.ObjectDetection.toObject = function(includeInstance, msg) {
  var f, obj = {
    objectId: jspb.Message.getFieldWithDefault(msg, 1, 0),
    detectedObject: jspb.Message.getFieldWithDefault(msg, 2, 0),
    north: jspb.Message.getFloatingPointFieldWithDefault(msg, 3, 0.0),
    east: jspb.Message.getFloatingPointFieldWithDefault(msg, 4, 0.0),
    down: jspb.Message.getFloatingPointFieldWithDefault(msg, 5, 0.0)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.ObjectDetection}
 */
proto.ObjectDetection.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.ObjectDetection;
  return proto.ObjectDetection.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.ObjectDetection} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.ObjectDetection}
 */
proto.ObjectDetection.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readUint32());
      msg.setObjectId(value);
      break;
    case 2:
      var value = /** @type {!proto.DetectedObject} */ (reader.readEnum());
      msg.setDetectedObject(value);
      break;
    case 3:
      var value = /** @type {number} */ (reader.readFloat());
      msg.setNorth(value);
      break;
    case 4:
      var value = /** @type {number} */ (reader.readFloat());
      msg.setEast(value);
      break;
    case 5:
      var value = /** @type {number} */ (reader.readFloat());
      msg.setDown(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.ObjectDetection.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.ObjectDetection.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.ObjectDetection} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.ObjectDetection.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getObjectId();
  if (f !== 0) {
    writer.writeUint32(
      1,
      f
    );
  }
  f = message.getDetectedObject();
  if (f !== 0.0) {
    writer.writeEnum(
      2,
      f
    );
  }
  f = message.getNorth();
  if (f !== 0.0) {
    writer.writeFloat(
      3,
      f
    );
  }
  f = message.getEast();
  if (f !== 0.0) {
    writer.writeFloat(
      4,
      f
    );
  }
  f = message.getDown();
  if (f !== 0.0) {
    writer.writeFloat(
      5,
      f
    );
  }
};


/**
 * optional uint32 object_id = 1;
 * @return {number}
 */
proto.ObjectDetection.prototype.getObjectId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.ObjectDetection} returns this
 */
proto.ObjectDetection.prototype.setObjectId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};


/**
 * optional DetectedObject detected_object = 2;
 * @return {!proto.DetectedObject}
 */
proto.ObjectDetection.prototype.getDetectedObject = function() {
  return /** @type {!proto.DetectedObject} */ (jspb.Message.getFieldWithDefault(this, 2, 0));
};


/**
 * @param {!proto.DetectedObject} value
 * @return {!proto.ObjectDetection} returns this
 */
proto.ObjectDetection.prototype.setDetectedObject = function(value) {
  return jspb.Message.setProto3EnumField(this, 2, value);
};


/**
 * optional float north = 3;
 * @return {number}
 */
proto.ObjectDetection.prototype.getNorth = function() {
  return /** @type {number} */ (jspb.Message.getFloatingPointFieldWithDefault(this, 3, 0.0));
};


/**
 * @param {number} value
 * @return {!proto.ObjectDetection} returns this
 */
proto.ObjectDetection.prototype.setNorth = function(value) {
  return jspb.Message.setProto3FloatField(this, 3, value);
};


/**
 * optional float east = 4;
 * @return {number}
 */
proto.ObjectDetection.prototype.getEast = function() {
  return /** @type {number} */ (jspb.Message.getFloatingPointFieldWithDefault(this, 4, 0.0));
};


/**
 * @param {number} value
 * @return {!proto.ObjectDetection} returns this
 */
proto.ObjectDetection.prototype.setEast = function(value) {
  return jspb.Message.setProto3FloatField(this, 4, value);
};


/**
 * optional float down = 5;
 * @return {number}
 */
proto.ObjectDetection.prototype.getDown = function() {
  return /** @type {number} */ (jspb.Message.getFloatingPointFieldWithDefault(this, 5, 0.0));
};


/**
 * @param {number} value
 * @return {!proto.ObjectDetection} returns this
 */
proto.ObjectDetection.prototype.setDown = function(value) {
  return jspb.Message.setProto3FloatField(this, 5, value);
};



/**
 * Oneof group definitions for this message. Each group defines the field
 * numbers belonging to that group. When of these fields' value is set, all
 * other fields in the group are cleared. During deserialization, if multiple
 * fields are encountered for a group, only the last value seen will be kept.
 * @private {!Array<!Array<number>>}
 * @const
 */
proto.DroniadaMessage.oneofGroups_ = [[2,3]];

/**
 * @enum {number}
 */
proto.DroniadaMessage.MessagesCase = {
  MESSAGES_NOT_SET: 0,
  GPS_UPDATE: 2,
  OBJECT_DETECTION: 3
};

/**
 * @return {proto.DroniadaMessage.MessagesCase}
 */
proto.DroniadaMessage.prototype.getMessagesCase = function() {
  return /** @type {proto.DroniadaMessage.MessagesCase} */(jspb.Message.computeOneofCase(this, proto.DroniadaMessage.oneofGroups_[0]));
};



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.DroniadaMessage.prototype.toObject = function(opt_includeInstance) {
  return proto.DroniadaMessage.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.DroniadaMessage} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.DroniadaMessage.toObject = function(includeInstance, msg) {
  var f, obj = {
    flightId: jspb.Message.getFieldWithDefault(msg, 1, 0),
    gpsUpdate: (f = msg.getGpsUpdate()) && proto.GpsUpdate.toObject(includeInstance, f),
    objectDetection: (f = msg.getObjectDetection()) && proto.ObjectDetection.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.DroniadaMessage}
 */
proto.DroniadaMessage.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.DroniadaMessage;
  return proto.DroniadaMessage.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.DroniadaMessage} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.DroniadaMessage}
 */
proto.DroniadaMessage.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readUint32());
      msg.setFlightId(value);
      break;
    case 2:
      var value = new proto.GpsUpdate;
      reader.readMessage(value,proto.GpsUpdate.deserializeBinaryFromReader);
      msg.setGpsUpdate(value);
      break;
    case 3:
      var value = new proto.ObjectDetection;
      reader.readMessage(value,proto.ObjectDetection.deserializeBinaryFromReader);
      msg.setObjectDetection(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.DroniadaMessage.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.DroniadaMessage.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.DroniadaMessage} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.DroniadaMessage.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getFlightId();
  if (f !== 0) {
    writer.writeUint32(
      1,
      f
    );
  }
  f = message.getGpsUpdate();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      proto.GpsUpdate.serializeBinaryToWriter
    );
  }
  f = message.getObjectDetection();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      proto.ObjectDetection.serializeBinaryToWriter
    );
  }
};


/**
 * optional uint32 flight_id = 1;
 * @return {number}
 */
proto.DroniadaMessage.prototype.getFlightId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.DroniadaMessage} returns this
 */
proto.DroniadaMessage.prototype.setFlightId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};


/**
 * optional GpsUpdate gps_update = 2;
 * @return {?proto.GpsUpdate}
 */
proto.DroniadaMessage.prototype.getGpsUpdate = function() {
  return /** @type{?proto.GpsUpdate} */ (
    jspb.Message.getWrapperField(this, proto.GpsUpdate, 2));
};


/**
 * @param {?proto.GpsUpdate|undefined} value
 * @return {!proto.DroniadaMessage} returns this
*/
proto.DroniadaMessage.prototype.setGpsUpdate = function(value) {
  return jspb.Message.setOneofWrapperField(this, 2, proto.DroniadaMessage.oneofGroups_[0], value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.DroniadaMessage} returns this
 */
proto.DroniadaMessage.prototype.clearGpsUpdate = function() {
  return this.setGpsUpdate(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.DroniadaMessage.prototype.hasGpsUpdate = function() {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional ObjectDetection object_detection = 3;
 * @return {?proto.ObjectDetection}
 */
proto.DroniadaMessage.prototype.getObjectDetection = function() {
  return /** @type{?proto.ObjectDetection} */ (
    jspb.Message.getWrapperField(this, proto.ObjectDetection, 3));
};


/**
 * @param {?proto.ObjectDetection|undefined} value
 * @return {!proto.DroniadaMessage} returns this
*/
proto.DroniadaMessage.prototype.setObjectDetection = function(value) {
  return jspb.Message.setOneofWrapperField(this, 3, proto.DroniadaMessage.oneofGroups_[0], value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.DroniadaMessage} returns this
 */
proto.DroniadaMessage.prototype.clearObjectDetection = function() {
  return this.setObjectDetection(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.DroniadaMessage.prototype.hasObjectDetection = function() {
  return jspb.Message.getField(this, 3) != null;
};


/**
 * @enum {number}
 */
proto.DetectedObject = {
  TRIANGLE: 0,
  CIRCLE: 1,
  SQUARE: 2
};

goog.object.extend(exports, proto);
